
ChiliProject - Bug # 1062: Cannot bulk edit custom field of type "user"
Description: Subject says it all ;) 

when trying to bulk edit several issues, the custom fields of type "user" only have "no change" as the possible 
choice.

Associated revisions
2008-04-16 07:27 pm - Jean-Philippe Lang 
Redirected user to where he is coming from after logging hours (#1062).

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1354 e93f8b46-1217-0410-a6f0-8f06a7374b81

History
2012-07-09 06:43 pm - Felix Schäfer
Does this happen only when there are already different values in the fields? Could you try to see what happens if the value for this field in the issues is 
already the same to begin with? Also: Are the issues from multiple projects or only in one?

2012-07-10 12:35 pm - Christophe Deliens
Felix SchÃ¤fer wrote:
> Does this happen only when there are already different values in the fields? Could you try to see what happens if the value for this field in the issues 
is already the same to begin with?

All test cases resulted to the same outcome: "no change" is the only possible dropdown option when bulk editing.
Tested:
* selecting multiple issues having that field unset
* selecting multiple issues having that field set to A
* selecting multiple issues having that field set to A or B
* selecting multiple issues having that field unset or set to A

> Also: Are the issues from multiple projects or only in one?

Only in one.

2012-07-10 12:44 pm - Felix Schäfer
OK, thanks for the tests, I'll see if I can reproduce this and what it could be due to.

2012-07-10 12:45 pm - Felix Schäfer
- Assignee set to Felix Schäfer

2012-07-10 06:40 pm - Felix Schäfer
OK, I can reproduce this and I've corrected the positioning of the custom fields (at least locally), regarding the content of the drop-down: the only users 
available for this field are the members of the project, and there's currently no (easy) way to populate the drop-down based on whether you're bulk 
editing issues of the same project or not. Note that this applies to all custom fields of the type "list", i.e. users, versions and normal lists.
2012-07-13 03:00 pm - Christophe Deliens
I'm glad you could reproduce the bug!

Felix SchÃ¤fer wrote:
> (...) the only users available for this field are the members of the project, (...)

In my case, the list is always empty. I don't even have the members of the project listed, which is all I want. We don't need to bulk-edit issues from 
multiple projects... for now ;)
I hope you can come up with a solution.

2012-07-13 09:36 pm - Felix Schäfer
Christophe Deliens wrote:
> Felix SchÃ¤fer wrote:
> > (...) the only users available for this field are the members of the project, (...)
> 
> In my case, the list is always empty. I don't even have the members of the project listed, which is all I want. We don't need to bulk-edit issues from 
multiple projects... for now ;)

I meant the general case, when I bulk-edit issues even from the same project I don't see anything in there either.

> I hope you can come up with a solution.

As I said, I fear it would need some rework of the bulk-edit parts, but I'll try to keep it in mind :-)
